changeset 193:7f1ba4459972 jdk7-b89

Merge
author lana
date Tue, 13 Apr 2010 16:35:53 -0700
parents 9d9097eb4b5a (current diff) b1c3b0e44b9d (diff)
children 195fcceefddc 425ba3efabbf
files
diffstat 2 files changed, 4 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/make/jprt.properties	Thu Apr 08 17:02:36 2010 -0700
+++ b/make/jprt.properties	Tue Apr 13 16:35:53 2010 -0700
@@ -62,6 +62,7 @@
 
 # Test targets in test/Makefile
 jprt.make.rule.test.targets=   \
+  *-product-*-langtools_jtreg, \
   *-product-*-jdk_beans1,      \
   *-product-*-jdk_beans2,      \
   *-product-*-jdk_beans3,      \
@@ -84,7 +85,6 @@
   *-product-*-jdk_util
 
 # Not Ready Yet:
-#   *-product-*-langtools_all
 #   *-product-*-jdk_awt
 #   *-product-*-jdk_rmi
 #   *-product-*-jdk_swing
--- a/test/Makefile	Thu Apr 08 17:02:36 2010 -0700
+++ b/test/Makefile	Tue Apr 13 16:35:53 2010 -0700
@@ -42,6 +42,7 @@
     $(MAKE) -C $1/test $2 ; \
   else \
     echo "ERROR: File does not exist: $1/test/Makefile"; \
+    exit 1; \
   fi; \
 else \
   echo "WARNING: No testing done, directory does not exist: $1"; \
@@ -49,7 +50,7 @@
 endef
 
 # Test target list for langtools repository
-LANGTOOLS_TEST_LIST = langtools_all
+LANGTOOLS_TEST_LIST = langtools_jtreg
 
 # Test target list for jdk repository
 JDK_TEST_LIST = \
@@ -74,7 +75,7 @@
 
 # Test targets
 $(LANGTOOLS_TEST_LIST):
-	@$(call SUBDIR_TEST, $(LANGTOOLS_DIR), all)
+	@$(call SUBDIR_TEST, $(LANGTOOLS_DIR), $(subst langtools_,,$@))
 $(JDK_TEST_LIST):
 	@$(call SUBDIR_TEST, $(JDK_DIR), $@)